Package org.apache.catalina.core

# Enum ApplicationMappingMatch

java.lang.Object
java.lang.Enum<ApplicationMappingMatch>
org.apache.catalina.core.ApplicationMappingMatch

All Implemented Interfaces:
  `Serializable`, `Comparable<ApplicationMappingMatch>`, `java.lang.constant.Constable`

public enum ApplicationMappingMatch extends Enum<ApplicationMappingMatch>
Represents the ways that a request can be mapped to a servlet

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONTEXT_ROOT`
The request was mapped to the servlet via the context root URL pattern of `""`.
`DEFAULT`
The request was mapped to the servlet via the default servlet URL pattern of `"/"` .
`EXACT`
The request was mapped to the servlet using an exact URL pattern match.
`EXTENSION`
The request was mapped to the servlet using an extension URL pattern match.
`PATH`
The request was mapped to the servlet using a path URL pattern.

## Method Summary

Modifier and Type
Method
Description
`static ApplicationMappingMatch`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ApplicationMappingMatch[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONTEXT_ROOT

public static final ApplicationMappingMatch CONTEXT_ROOT
The request was mapped to the servlet via the context root URL pattern of `""`.

### DEFAULT

public static final ApplicationMappingMatch DEFAULT
The request was mapped to the servlet via the default servlet URL pattern of `"/"` .

### EXACT

public static final ApplicationMappingMatch EXACT
The request was mapped to the servlet using an exact URL pattern match.

### EXTENSION

public static final ApplicationMappingMatch EXTENSION
The request was mapped to the servlet using an extension URL pattern match.

### PATH

public static final ApplicationMappingMatch PATH
The request was mapped to the servlet using a path URL pattern.

## Method Details

### values

public static ApplicationMappingMatch[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ApplicationMappingMatch valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null